## ev-utils ev-utils — |

## Synopsis

    GdkPixbuf*  ev_pixbuf_add_shadow            (GdkPixbuf *src,
                                                 int size,
                                                 int x_offset,
                                                 int y_offset,
                                                 double opacity);
    void        ev_print_region_contents        (GdkRegion *region);
    void        ev_gui_menu_position_tree_selection
                                                (GtkMenu *menu,
                                                 gint *x,
                                                 gint *y,
                                                 gboolean *push_in,
                                                 gpointer user_data);
    GnomePrintConfig* load_print_config_from_file
                                                (void);
    void        save_print_config_to_file       (GnomePrintConfig *config);
    gboolean    using_postscript_printer        (GnomePrintConfig *config);
    gboolean    using_pdf_printer               (GnomePrintConfig *config);
    gint        get_num_monitors                (GtkWindow *window);
    gdouble     get_screen_dpi                  (GtkWindow *window);

## Description

## Details

### ev_pixbuf_add_shadow ()

    GdkPixbuf*  ev_pixbuf_add_shadow            (GdkPixbuf *src,
                                                 int size,
                                                 int x_offset,
                                                 int y_offset,
                                                 double opacity);

`src` : |
`size` : |
`x_offset` : |
`y_offset` : |
`opacity` : |
Returns : |

### ev_print_region_contents ()

    void        ev_print_region_contents        (GdkRegion *region);

`region` : |

### ev_gui_menu_position_tree_selection ()

    void        ev_gui_menu_position_tree_selection
                                                (GtkMenu *menu,
                                                 gint *x,
                                                 gint *y,
                                                 gboolean *push_in,
                                                 gpointer user_data);

`menu` : |
`x` : |
`y` : |
`push_in` : |
`user_data` : |

### load_print_config_from_file ()

    GnomePrintConfig* load_print_config_from_file
                                                (void);

Returns : |

### save_print_config_to_file ()

    void        save_print_config_to_file       (GnomePrintConfig *config);

`config` : |

### using_postscript_printer ()

    gboolean    using_postscript_printer        (GnomePrintConfig *config);

`config` : |
Returns : |

### using_pdf_printer ()

    gboolean    using_pdf_printer               (GnomePrintConfig *config);

`config` : |
Returns : |

### get_num_monitors ()

    gint        get_num_monitors                (GtkWindow *window);

`window` : | optional GtkWindow to look at.
Returns : | Number of monitors, -1 if uncertain situation (like multiple screens)

### get_screen_dpi ()

    gdouble     get_screen_dpi                  (GtkWindow *window);

`window` : |
Returns : |